<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<artifactId>amos-boot-data</artifactId>
		<groupId>com.amosframework.boot</groupId>
		<version>1.0.0</version>
	</parent>

	<artifactId>amos-boot-data-alarm</artifactId>
	<name>amos-boot-data-alarm</name>


	<dependencies>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-foundation</artifactId>
			<version>${tyboot-version}</version>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-restful</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-auth</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

        <!--kafka依赖-->
        <dependency>
            <groupId>org.springframework.kafka</groupId>
            <artifactId>spring-kafka</artifactId>
        </dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-emq</artifactId>
            <version>1.1.20</version>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-event</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-opendata</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.yeejoin</groupId>
			<artifactId>amos-feign-systemctl</artifactId>
			<version>${amos.version}</version>
		</dependency>

		<dependency>
			<groupId>com.yeejoin</groupId>
			<artifactId>amos-component-config</artifactId>
			<version>${amos.version}</version>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-rdbms</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-cache</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-starter-data-redis</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-redis</artifactId>
			<version>1.4.5.RELEASE</version>
		</dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>19.0.0</version>
            <scope>compile</scope>
        </dependency>

 		<dependency>
            <groupId>org.codehaus.jettison</groupId>
            <artifactId>jettison</artifactId>
            <version>1.3.7</version>
        </dependency>

		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
			<version>1.1.10</version>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>

</project>
